org.eclipse.net4j.util.registry

## Interface IRegistry<K,V>

- All Superinterfaces:
    IContainer<java.util.Map.Entry<K,V>>, INotifier, java.util.Map<K,V>
  All Known Implementing Classes:
    DelegatingRegistry, HashMapDelegatingRegistry, HashMapRegistry, Registry, UnmodifiableRegistry

      public interface IRegistry<K,V>
      extends java.util.Map<K,V>, IContainer<java.util.Map.Entry<K,V>>

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commit()`
    `void` | `commit(boolean notifications)`
    `boolean` | `isAutoCommit()`
    `void` | `setAutoCommit(boolean on)`

    - ### Methods inherited from interface java.util.Map

      `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### isAutoCommit

          boolean isAutoCommit()

    - #### setAutoCommit

          void setAutoCommit(boolean on)

    - #### commit

          void commit(boolean notifications)

    - #### commit

          void commit()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html